---
page_title: "authentik_source_oauth Resource - terraform-provider-authentik"
subcategory: "Sources"
description: |-
---

# authentik_source_oauth (Resource)

## Example Usage

```terraform
# Create OAuth Source using an existing provider

data "authentik_flow" "default-authorization-flow" {
  slug = "default-provider-authorization-implicit-consent"
}

resource "authentik_source_oauth" "name" {
  name                = "discord"
  slug                = "discord"
  authentication_flow = data.authentik_flow.default-authorization-flow.id
  enrollment_flow     = data.authentik_flow.default-authorization-flow.id

  provider_type   = "discord"
  consumer_key    = "foo"
  consumer_secret = "bar"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **authentication_flow** (String)
- **consumer_key** (String)
- **consumer_secret** (String, Sensitive)
- **enrollment_flow** (String)
- **name** (String)
- **provider_type** (String)
- **slug** (String)

### Optional

- **access_token_url** (String)
- **authorization_url** (String)
- **enabled** (Boolean) Defaults to `true`.
- **id** (String) The ID of this resource.
- **policy_engine_mode** (String) Defaults to `any`.
- **profile_url** (String)
- **request_token_url** (String)
- **user_matching_mode** (String) Defaults to `identifier`.
- **uuid** (String)

### Read-Only

- **callback_uri** (String)
