---
page_title: "authentik_source_plex Resource - terraform-provider-authentik"
subcategory: "Sources"
description: |-
---

# authentik_source_plex (Resource)

## Example Usage

```terraform
# Create a plex source

data "authentik_flow" "default-authorization-flow" {
  slug = "default-provider-authorization-implicit-consent"
}

resource "authentik_source_plex" "name" {
  name                = "plex"
  slug                = "plex"
  authentication_flow = data.authentik_flow.default-authorization-flow.id
  enrollment_flow     = data.authentik_flow.default-authorization-flow.id
  client_id           = "foo-bar-baz"
  plex_token          = "foo"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **authentication_flow** (String)
- **client_id** (String)
- **enrollment_flow** (String)
- **name** (String)
- **plex_token** (String, Sensitive)
- **slug** (String)

### Optional

- **allow_friends** (Boolean) Defaults to `true`.
- **allowed_servers** (List of Number)
- **enabled** (Boolean) Defaults to `true`.
- **id** (String) The ID of this resource.
- **policy_engine_mode** (String) Defaults to `any`.
- **user_matching_mode** (String) Defaults to `identifier`.
- **uuid** (String)
